Package Gnumed :: Package exporters :: Module gmPatientExporter :: Class cEMRJournalExporter |
[frames] | no frames]

# Class cEMRJournalExporter

source code

Exports patient EMR into a simple chronological journal.

Note that this export will emit u'' strings only.

Instance Methods
__init__(self) | source code
export_to_file_by_mod_time(self, filename=None, patient=None) | source code
export_to_file(self, filename=None, patient=None) Export medical record into a file. | source code
export(self, target=None, patient=None) Export medical record into a Python object. | source code

Method Details

### export_to_file(self, filename=None, patient=None) | source code
Export medical record into a file. Parameters: `patient` (None (use currently active patient) or <gmPerson.cIdentity> instance) `filename` (None (creates filename by itself) or string)

### export(self, target=None, patient=None) | source code
Export medical record into a Python object. Parameters: `patient` (None (use currently active patient) or <gmPerson.cIdentity> instance) `target` (a python object supporting the write() API)